Skip to main content
GET
/
v1
/
chatbots
/
chatbot
/
{chatbotId}
/
lead-settings
Get Lead Settings
curl --request GET \
  --url https://interhemispheric-unwet-paulene.ngrok-free.dev/api/v1/chatbots/chatbot/{chatbotId}/lead-settings \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "chatbotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "enableLeadCollection": false,
    "customerNameTake": false,
    "customerPhoneTake": false,
    "customerEmailTake": true,
    "industryTemplate": "<string>",
    "whenToCollectLead": "<string>",
    "customerTriggerKeywords": "<string>",
    "bookingIntegration": false,
    "bookingIntegrationLink": "<string>",
    "leadNotification": false,
    "leadNotificationEmail": [
      "<string>"
    ],
    "customerFormField": {},
    "autoEscalateOnLeadCapture": false,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chatbotId
string
required

Response

Success

success
boolean
Example:

true

data
object